Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.www
Class SlaveServerTransStatus

    java.lang.Object
      org.pentaho.di.www.SlaveServerTransStatus

    public class SlaveServerTransStatus

extends Object

Field Summary
`static String` | `XML_TAG`

Constructor Summary
`SlaveServerTransStatus()`
`SlaveServerTransStatus(Node transStatusNode)`
`SlaveServerTransStatus(String transName, String statusDescription)`

Method Summary
`static SlaveServerTransStatus` | `fromXML(String xml)`
`String` | `getErrorDescription()`
`String` | `getLoggingString()`
`long` | `getNrStepErrors()`
`org.pentaho.di.core.Result` | `getResult()`
`org.pentaho.di.core.Result` | `getResult(TransMeta transMeta)`
`String` | `getStatusDescription()`
`List<StepStatus>` | `getStepStatusList()`
`String` | `getTransName()`
`String` | `getXML()`
`boolean` | `isPaused()`
`boolean` | `isRunning()`
`void` | `setErrorDescription(String errorDescription)`
`void` | `setLoggingString(String loggingString)`
`void` | `setPaused(boolean paused)`
`void` | `setResult(org.pentaho.di.core.Result result)`
`void` | `setStatusDescription(String statusDescription)`
`void` | `setStepStatusList(List<StepStatus> stepStatusList)`
`void` | `setTransName(String transName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

Constructor Detail

### SlaveServerTransStatus

    public SlaveServerTransStatus()

### SlaveServerTransStatus

    public SlaveServerTransStatus(String transName,
                                  String statusDescription)

Parameters:
  `transName` -
  `statusDescription` -

### SlaveServerTransStatus

    public SlaveServerTransStatus(Node transStatusNode)

Method Detail

### getXML

    public String getXML()

### fromXML

    public static SlaveServerTransStatus fromXML(String xml)
                                          throws org.pentaho.di.core.exception.KettleXMLException

  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### getStatusDescription

    public String getStatusDescription()

  Returns:
    the statusDescription

### setStatusDescription

    public void setStatusDescription(String statusDescription)

  Parameters:
    `statusDescription` - the statusDescription to set

### getTransName

    public String getTransName()

  Returns:
    the transName

### setTransName

    public void setTransName(String transName)

  Parameters:
    `transName` - the transName to set

### getErrorDescription

    public String getErrorDescription()

  Returns:
    the errorDescription

### setErrorDescription

    public void setErrorDescription(String errorDescription)

  Parameters:
    `errorDescription` - the errorDescription to set

### getStepStatusList

    public List<StepStatus> getStepStatusList()

  Returns:
    the stepStatusList

### setStepStatusList

    public void setStepStatusList(List<StepStatus> stepStatusList)

  Parameters:
    `stepStatusList` - the stepStatusList to set

### getLoggingString

    public String getLoggingString()

  Returns:
    the loggingString

### setLoggingString

    public void setLoggingString(String loggingString)

  Parameters:
    `loggingString` - the loggingString to set

### isRunning

    public boolean isRunning()

### getNrStepErrors

    public long getNrStepErrors()

### getResult

    public org.pentaho.di.core.Result getResult(TransMeta transMeta)

### getResult

    public org.pentaho.di.core.Result getResult()

  Returns:
    the result

### setResult

    public void setResult(org.pentaho.di.core.Result result)

  Parameters:
    `result` - the result to set

### isPaused

    public boolean isPaused()

  Returns:
    the paused

### setPaused

    public void setPaused(boolean paused)

  Parameters:
    `paused` - the paused to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD